import { AnimationEvent } from '@angular/animations';
import { ElementRef, EnvironmentInjector, OnDestroy, OnInit, Type, ViewContainerRef } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { SkyFlyoutInstance } from './flyout-instance';
import { SkyFlyoutAction } from './types/flyout-action';
import { SkyFlyoutConfig } from './types/flyout-config';
import { SkyFlyoutConfigInternal } from './types/flyout-config-internal';
import { SkyFlyoutMessage } from './types/flyout-message';
import { SkyFlyoutPermalink } from './types/flyout-permalink';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyFlyoutComponent implements OnDestroy, OnInit {
    #private;
    config: SkyFlyoutConfigInternal;
    enableTrapFocus: boolean;
    enableTrapFocusAutoCapture: boolean;
    flyoutId: string;
    flyoutState: string;
    isOpen: boolean;
    isOpening: boolean;
    flyoutWidth: number;
    instanceReady: boolean;
    isDragging: boolean;
    isFullscreen: boolean;
    resizeKeyControlActive: boolean;
    get messageStream(): Subject<SkyFlyoutMessage>;
    permalink: SkyFlyoutPermalink;
    permalinkLabel: string;
    primaryAction: SkyFlyoutAction;
    primaryActionLabel: string;
    /**
     * @internal
     */
    widthStep: number;
    /**
     * @internal
     */
    flyoutRef: ElementRef | undefined;
    target: ViewContainerRef | undefined;
    flyoutHeader: ElementRef | undefined;
    protected zIndex$: BehaviorSubject<number>;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    onWindowResize(event: Event): void;
    attach<T>(component: Type<T>, config?: SkyFlyoutConfig, environmentInjector?: EnvironmentInjector): SkyFlyoutInstance<T>;
    close(): void;
    invokePrimaryAction(): boolean;
    getAnimationState(): string;
    animationDone(event: AnimationEvent): void;
    onHeaderGrabHandleMouseDown(event: MouseEvent): void;
    onHeaderGrabHandleKeyDown(event: KeyboardEvent): void;
    onResizeHandleKeyDown(event: KeyboardEvent): void;
    onResizeHandleMouseDown(event: MouseEvent): void;
    onMouseMove(event: MouseEvent): void;
    onHandleRelease(): void;
    onIteratorPreviousButtonClick(): void;
    onIteratorNextButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyFlyoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyFlyoutComponent, "sky-flyout", never, {}, {}, never, never, true, never>;
}
