import { SkyQueryableComponentHarness } from '@skyux/core/testing';
/**
 * Harness for interacting with a flyout component in tests.
 */
export declare class SkyFlyoutHarness extends SkyQueryableComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Clicks the flyout's next iterator button.
     */
    clickNextIteratorButton(): Promise<void>;
    /**
     * Clicks the flyout's previous iterator button.
     */
    clickPreviousIteratorButton(): Promise<void>;
    /**
     * Clicks the flyout's primary action button.
     */
    clickPrimaryActionButton(): Promise<void>;
    /**
     * Clicks the flyout's close button.
     */
    closeFlyout(): Promise<void>;
    /**
     * Gets the flyout's aria-describedby attribute.
     */
    getAriaDescribedBy(): Promise<string | null>;
    /**
     * Gets the flyout's aria-label attribute.
     */
    getAriaLabel(): Promise<string | null>;
    /**
     * Gets the flyout's aria-labelledby attribute.
     */
    getAriaLabelledBy(): Promise<string | null>;
    /**
     * Gets the flyout's ARIA role.
     */
    getAriaRole(): Promise<string | null>;
    /**
     * Gets the flyout's maximum width.
     */
    getFlyoutMaxWidth(): Promise<number>;
    /**
     * Gets the flyout's minimum width.
     */
    getFlyoutMinWidth(): Promise<number>;
    /**
     * Gets the flyout's current width.
     */
    getFlyoutWidth(): Promise<number>;
    /**
     * Gets the label for the flyout's permalink button.
     */
    getPermalinkButtonLabel(): Promise<string>;
    /**
     * Gets the route for the flyout's permalink button.
     */
    getPermalinkButtonRoute(): Promise<string | null>;
    /**
     * Gets the label for the flyout's primary action button.
     */
    getPrimaryActionButtonLabel(): Promise<string>;
}
